Oracle Linux 9:logrotate (ELSA-2022-8393)

medium Nessus Plugin ID 168098

Synopsis

遠端 Oracle Linux 主機缺少安全性更新。

描述

遠端 Oracle Linux 9 主機上安裝的一個套件受到 ELSA-2022-8393 公告中提及的弱點影響。

- 在 logrotate 中建立狀態檔案的方式中發現一個弱點。使用狀態檔案取得和釋放檔案鎖定,防止多個 logrotate 執行個體平行執行。當狀態檔案不存在時,系統會以全域讀取權限建立該檔案,這將允許無權限的使用者鎖定狀態檔案,進而停止任何輪替。此缺陷會影響 logrotate 3.20.0 之前版本。
(CVE-2022-1348)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的 logrotate 套件。

另請參閱

https://linux.oracle.com/errata/ELSA-2022-8393.html

Plugin 詳細資訊

嚴重性: Medium

ID: 168098

檔案名稱: oraclelinux_ELSA-2022-8393.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/11/22

已更新: 2022/11/22

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Low

分數: 3.6

CVSS v2

風險因素: Medium

基本分數: 4

時間分數: 3

媒介: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P

時間媒介: CVSS2#E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2022-1348

CVSS v3

風險因素: Medium

基本分數: 6.5

時間分數: 5.7

媒介: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:2.3:a:oracle:linux:logrotate:*:*:*:*:*:*:*, cpe:2.3:o:oracle:linux:9:*:*:*:*:*:*:*

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/OracleLinux

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/11/22

弱點發布日期: 2022/5/25

參考資訊

CVE: CVE-2022-1348